package safe_string

import (
	"testing"
)

/*
	Тест для безопасной строки
*/

// Тестер для безопасной строки
type tester struct {
	t  *testing.T
	si *БезопСтрока
}

func TestSafeString(t *testing.T) {
	test := &tester{
		t: t,
	}
	test.create()
	test.set()
}

// Установка значения
func (сам *tester) set() {
	сам.t.Logf("=set=\n")
	сам.si.Уст("test_str")
	if val := сам.si.Получ(); val != "test_str" {
		сам.t.Errorf("create(): val(%s)!='test_str'\n", val)
	}
}

// Создание целого
func (сам *tester) create() {
	сам.t.Logf("=create=\n")
	сам.si = НовБезопСтрока()
	if сам.si == nil {
		сам.t.Errorf("create(): safeString==nil\n")
	}
	if val := сам.si.Получ(); val != "" {
		сам.t.Errorf("create(): val(%s)!=``\n", val)
	}
}
